---
title: "Get brand of document"
url: "https://docs.signnow.com/docs/general-branding/operations/get-v2-documents-document-id-brand"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/get-v2-documents-document-id-brand"
method: "GET"
path: "/v2/documents/{document_id}/brand"
operation_id: "get-v2-documents-document-id-brand"
authorization: "bearer"
---

# Get brand of document

`GET /v2/documents/{document_id}/brand`

This endpoint allows API users to retrieve branding that has been assigned to a document. 

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `use_hierarchy` | boolean | No | Retrieve branding assigned specifically to the document with or without branding of its parent application/organization. Possible values: `true` - show application/organization branding if no specific branding is assigned to the document; `false` - show only the branding specifically assigned to the document (if any).  |

## Responses

### 200

Brand assigned to the document. With `use_hierarchy=true`, returns the brand inherited from a higher level when the document has none.

**Example** (`No brand`)

```json
{
  "data": []
}
```

**Example** (`Brand found`)

```json
{
  "data": {
    "link": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02",
    "level": "application",
    "title": "My brand",
    "resources": {
      "logo": {
        "data": {
          "original": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02/resources/logo"
        },
        "link": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02/resources/logo?hash=735929a6da50356b4827b037b992dc7e5e631d0a"
      },
      "general": {
        "data": {
          "icons": {
            "color": "#546470",
            "border": "#ffffff",
            "background": "#ffffff",
            "hover-color": "#546470",
            "hover-border": "#f1f2f4",
            "hover-background": "#f1f2f4"
          },
          "texts": {
            "color": "#2f373e"
          },
          "header": {
            "background": "#ffffff"
          },
          "buttons": {
            "default": {
              "color": "#546470",
              "border": "#ffffff",
              "background": "#ffffff",
              "hover-color": "#546470",
              "active-color": "#546470",
              "hover-border": "#f1f2f4",
              "active-border": "#ffffff",
              "hover-background": "#f1f2f4",
              "active-background": "#ffffff"
            },
            "primary": {
              "color": "#ffffff",
              "border": "#0777cf",
              "background": "#0777cf",
              "hover-color": "#ffffff",
              "active-color": "#ffffff",
              "hover-border": "#348fd7",
              "active-border": "#003458",
              "hover-background": "#348fd7",
              "active-background": "#076dbd"
            },
            "dropdown": {
              "color": "#546470",
              "border": "#ffffff",
              "background": "#ffffff",
              "hover-color": "#546470",
              "active-color": "#546470",
              "hover-border": "#f1f2f4",
              "active-border": "#ffffff",
              "hover-background": "#f1f2f4",
              "active-background": "#ffffff"
            },
            "secondary": {
              "color": "#38424b",
              "border": "#e3e6e9",
              "background": "#e3e6e9",
              "hover-color": "#38424b",
              "active-color": "#38424b",
              "hover-border": "#f1f2f4",
              "active-border": "#d5dade",
              "hover-background": "#f1f2f4",
              "active-background": "#d5dade"
            }
          },
          "hyperlink": {
            "color": "#546470",
            "hover-color": "#667988",
            "active-color": "#4b5963"
          },
          "help-center": {
            "visibility": true
          },
          "consent-text": {
            "en": "{sender_email} has invited you to fill out and sign this in one place.",
            "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
            "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
          },
          "main-background": "#efefef",
          "welcome-message": {
            "body-text": {
              "en": "{sender_email} has invited you to fill out and sign this in one place.",
              "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
              "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
            },
            "visibility": true,
            "header-text": {
              "en": "Hi, {signer_email}",
              "es": "Hola, {signer_email}",
              "fr": "Bonjour, {signer_email}"
            }
          }
        },
        "link": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02/resources/general"
      }
    },
    "unique_id": "2b715ceecdcf9ec54089500692b1a38549ff8f02",
    "owner_type": "user"
  }
}
```

### 400

Incorrect or missing token

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Incorrect `document_id`
* `document_id` doesn't exist

**Example** (`Incorrect document_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/documents/567/brand"
}
```

**Example** (`document_id doesn't exist`)

```json
{
  "code": 25002062,
  "message": "Document unique identifier does not exist."
}
```

### 422

`document_id` has been deleted

**Example** (`Example 1`)

```json
{
  "code": 25002065,
  "message": "Document deleted."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/documents/{document_id}/brand" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/get-v2-documents-document-id-brand*
